Skip to main content
GET
/
tprm
/
findings
List TPRM Findings
curl --request GET \
  --url https://api.leen.dev/v1/tprm/findings \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-CONNECTION-ID: <api-key>'
import requests

url = "https://api.leen.dev/v1/tprm/findings"

headers = {
"X-CONNECTION-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-CONNECTION-ID': '<api-key>', 'X-API-KEY': '<api-key>'}
};

fetch('https://api.leen.dev/v1/tprm/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "type": "<string>",
      "domain": "<string>",
      "asset_type": "<string>",
      "asset_id": "<string>",
      "first_seen": "2023-11-07T05:31:56Z",
      "last_seen": "2023-11-07T05:31:56Z",
      "connection_attributes": {
        "ports": [
          123
        ],
        "geo_ip_location": "<string>",
        "country": "<string>",
        "observed_ips": [
          "<string>"
        ]
      },
      "evidence": {},
      "remediation": "<string>",
      "provider_name": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "domain": "<string>",
        "score": {
          "rating": 123,
          "grade": "<string>",
          "factors": []
        },
        "industry": "<string>",
        "size": "<string>",
        "date_added": "2023-11-07T05:31:56Z",
        "compliance_claimed": [
          {
            "standard": "<string>",
            "last_updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "vendor_attributes": {
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "data": {
            "type": "<string>",
            "dashboard_link": "<string>",
            "strategy_report_url": "<string>"
          }
        },
        "related_portfolios": [
          {
            "id": "<string>",
            "name": "<string>"
          }
        ],
        "updated_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "vendor_attributes": {
        "id": "<string>",
        "type": "<string>",
        "status": "<string>",
        "severity": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "data": {
          "finding_data": {
            "control_id": "<string>",
            "output": "<string>",
            "title": "<string>",
            "detail": "<string>"
          }
        }
      },
      "ticket": {
        "ticket_id": "<string>",
        "status": "<string>",
        "owner": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "status_updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>",
  "previous_cursor": "<string>"
}
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"detail": [
{}
]
}

Authorizations

X-CONNECTION-ID
string
header
required
X-API-KEY
string
header
required

Query Parameters

sort
string | null
companyId
string | null

Company Filter, comma separated

severity
string | null

Filter by severity (comma-separated list, e.g., 'CRITICAL,HIGH')

status
string | null

Filter by status (comma-separated list, e.g., 'OPEN,REOPENED')

type
string | null

Filter by type (comma-separated list)

vendorFindingType
string | null

Filter by vendor finding type (comma-separated list, e.g., 'websitesecurity')

firstSeenSince
string<date-time> | null

Filter by findings first seen after this date

stateUpdatedSince
string<date-time> | null

Filter by findings state updated after this date

lastSeenSince
string<date-time> | null

Filter by findings last seen after this date

updatedSince
string<date-time> | null

Datetime filter, only return items updated since this datetime. Example format: 2021-01-01T00:00:00+00:00

cursor
string | null

Skip token to continue from the last item in the previous page

limit
integer
default:100

Limit size (page size)

Required range: x >= 0

Response

Successful Response

items
TPRMFindingKBRespModel · object[]
required

List of items returned in the response

next_cursor
string | null

Skip token to continue from the last item in the previous page

previous_cursor
string | null

Skip token to continue from the first item in the previous page